Subject: Re: [draft-freed-sieve-in-xml-02] Preservation Of Meta-Data During An Editing Session

From: Ned Freed <[email-masked]>
Date: Mon, 09 Mar 2009 08:21:22 -0700 (PDT)

> Issue
> -----
> Clarify expectations of meta-data preservation during editing.

> Proposal
> --------

> To "4.1. XML Display Directives" add:

>   Editors MAY use displayblock, displaydata and foreign namespaces to associate
>   meta-data which SHOULD be preserved by the processor during Sieve script
>   translation. Some editors find it inconvenient to preserve this
> additional data
>   during an editing session. Editors MAY preserve this data during an editing
>   session for compatibility with other editors.

First, there is already a requirement that such meta-data MUST be preserved by the
translation process. So I don' think that part is necessary. That said,
I think an explicit statement of what editors are supposed to do is a good
idea and I've addedd that part of the above text to the document.

				Ned